%define rel 1

Name:           qt6-rpm-macros
Version:        6.7.2
Release:        %mkrel %{rel}
Summary:        Base install macros for Qt 6
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.qt6
BuildArch:      noarch
Provides:       qt6-macros = %{version}-%{release}
Requires:       cmake
Requires:       ninja
Requires:       mageia-release

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for QT 6.

%files
%{_rpmmacrodir}/macros.qt6

%prep
#nothing

%build
#nothing

%install
install -d -m 0755 %{buildroot}%{_rpmmacrodir}
install -p -m 0644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}/macros.qt6

sed -e 's,VERSION,%{version},g' -i %{buildroot}%{_rpmmacrodir}/macros.qt6


%changelog
* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083086
- New version 6.7.2

* Tue May 21 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065739
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041650
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999024
- New version 6.6.0

* Sun Aug 27 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1980305
- New version 6.5.2

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923069
- New version 6.4.1

* Thu Oct 06 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1895141
- New version 6.4.0

* Tue Aug 30 2022 wally <wally> 6.3.1-2.mga9
+ Revision: 1882354
- fix INSTALL_LIBEXECDIR in %%cmake_qt6

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881363
- New version 6.3.1

* Tue Aug 23 2022 wally <wally> 6.3.0-4.mga9
+ Revision: 1879603
- require ninja

* Fri Jul 29 2022 wally <wally> 6.3.0-3.mga9
+ Revision: 1872826
- rebuild to remove obsoleted qt6-macros

* Wed Apr 13 2022 wally <wally> 6.3.0-2.mga9
+ Revision: 1849283
- drop duplicate obsoletes and provides

* Wed Apr 13 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1849208
- New version 6.3.0
  Obsolete old rpm naming

* Mon Mar 21 2022 umeabot <umeabot> 6.2.1-3.mga9
+ Revision: 1815597
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 6.2.1-2.mga9
+ Revision: 1758137
- rename as qt6-rpm-macros

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756463
- New version 6.2.1

* Fri Oct 01 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1747177
- New version 6.2.0

* Mon May 10 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722410
- New version 6.1.0
- move qt6.macros to rpmmacrodir

* Fri Mar 05 2021 neoclust <neoclust> 6.0.2-3.mga9
+ Revision: 1699922
- Improve cmake_qt6

* Fri Mar 05 2021 neoclust <neoclust> 6.0.2-2.mga9
+ Revision: 1699918
- Fix default qt6 install, as it is not default qt

* Fri Mar 05 2021 neoclust <neoclust> 6.0.2-1.mga9
+ Revision: 1699823
- imported package qt6-macros

